
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>微信小程序上传图片(附后端代码) / iVAN</title>

    <meta name="description" content="微信小程序上传图片(附后端代码) 几乎每个程序都需要用到图片. 在小程序中我们可以通过image组件显示图片. 当然小程序也是可以上传图片的,微信小程序文档也写的很清楚. 上传图片 首先选择图片 通过wx.chooseImage(OBJECT)实现 官方示例代码 wx.chooseImage({ count: 1, // 默认9 sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图,默认二者都有 sourceType: ['album', 'camera'], // 可以指定">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">微信小程序上传图片(附后端代码)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>几乎每个程序都需要用到图片。 <br />
在小程序中我们可以通过image组件显示图片。</p>
<p>当然小程序也是可以上传图片的，<a href="https://mp.weixin.qq.com/debug/wxadoc/dev/api/network-file.html?t=20161122%20#wxuploadfileobject" rel="external nofollow noreferrer">微信小程序文档</a>也写的很清楚。</p>
<h2>上传图片</h2>
<blockquote><p>首先选择图片</p></blockquote>
<p>通过<code>wx.chooseImage(OBJECT)</code>实现</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjEyMDkxMDA1NTEwMTE/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZVhWc2FXRnViR2x1L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"></p>
<p>官方示例代码</p>
<pre><code>wx.chooseImage({
  count: 1, // 默认9
  sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
  sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
  success: function (res) {
    // 返回选定照片的本地文件路径列表，tempFilePath可以作为img标签的src属性显示图片
    var tempFilePaths = res.tempFilePaths
  }
})</code></pre>
<p>图片最多可以选择9张, 也可以通过拍摄照片实现，当选择完图片之后会获取到图片路径,  这个路径在本次启动期间有效。 <br />
如果需要保存就需要用<code>wx.saveFile(OBJECT)</code></p>
<blockquote><p>上传图片</p></blockquote>
<p>通过<code>wx.uploadFile(OBJECT)</code> 可以将本地资源文件上传到服务器。</p>
<p>原理就是客户端发起一个 HTTPS POST 请求，其中 content-type为 multipart/form-data。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjEyMDkxMDA1MjYyMTE/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZVhWc2FXRnViR2x1L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"></p>
<p>官方示例代码</p>
<pre><code>wx.chooseImage({
  success: function(res) {
    var tempFilePaths = res.tempFilePaths
    wx.uploadFile({
      url: 'http://example.weixin.qq.com/upload', //仅为示例，非真实的接口地址
      filePath: tempFilePaths[0],
      name: 'file',
      formData:{
        'user': 'test'
      },
      success: function(res){
        var data = res.data
        //do something
      }
    })
  }
})</code></pre>
<h2>示例代码</h2>
<p>看完了官方文档, 写一个上传图片就没有那么麻烦了,下面是真实场景的代码</p>
<pre><code>import constant from '../../common/constant';
Page({
  data: {
    src: "../../image/photo.png",  //绑定image组件的src
     //略...
  },
  onLoad: function (options) {
      //略...
  },
  uploadPhoto() {
    var that = this;
    wx.chooseImage({
      count: 1, // 默认9
      sizeType: ['compressed'], // 可以指定是原图还是压缩图，默认二者都有
      sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
      success: function (res) {
        // 返回选定照片的本地文件路径列表，tempFilePath可以作为img标签的src属性显示图片
        var tempFilePaths = res.tempFilePaths;
        upload(that, tempFilePaths);
      }
    })
  }
})

function upload(page, path) {
  wx.showToast({
    icon: "loading",
    title: "正在上传"
  }),
    wx.uploadFile({
      url: constant.SERVER_URL + "/FileUploadServlet",
      filePath: path[0],
      name: 'file',
      header: { "Content-Type": "multipart/form-data" },
      formData: {
        //和服务器约定的token, 一般也可以放在header中
        'session_token': wx.getStorageSync('session_token')
      },
      success: function (res) {
        console.log(res);
        if (res.statusCode != 200) {
          wx.showModal({
            title: '提示',
            content: '上传失败',
            showCancel: false
          })
          return;
        }
        var data = res.data
        page.setData({  //上传成功修改显示头像
          src: path[0]
        })
      },
      fail: function (e) {
        console.log(e);
        wx.showModal({
          title: '提示',
          content: '上传失败',
          showCancel: false
        })
      },
      complete: function () {
        wx.hideToast();  //隐藏Toast
      }
    })
}</code></pre>
<h2>后端代码</h2>
<p>后端是用java写的，一开始的时候，后端开始用了一些框架接收上传的图片，出现了各种问题，后来使用了纯粹的Servlet就没有了问题, 把代码贴出来省的以后麻烦了。</p>
<p>注意: 代码使用了公司内部的框架，建议修改后再使用</p>
<pre><code>public class FileUploadServlet extends HttpServlet {

    private static final long serialVersionUID = 1L;
    private static Logger logger = LoggerFactory.getLogger(FileUploadServlet.class);

    public FileUploadServlet() {
        super();
    }

    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        JsonMessage&lt;Object&gt; message = new JsonMessage&lt;Object&gt;();
        EOSResponse eosResponse = null;
        String sessionToken = null;
        FileItem file = null;
        InputStream in = null;
        ByteArrayOutputStream swapStream1 = null;
        try {
            request.setCharacterEncoding("UTF-8"); 

            //1、创建一个DiskFileItemFactory工厂
            DiskFileItemFactory factory = new DiskFileItemFactory();
            //2、创建一个文件上传解析器
            ServletFileUpload upload = new ServletFileUpload(factory);

            //解决上传文件名的中文乱码
            upload.setHeaderEncoding("UTF-8");
            // 1. 得到 FileItem 的集合 items
            List&lt;FileItem&gt; items = upload.parseRequest(request);
            logger.info("items:{}", items.size());
            // 2. 遍历 items:
            for (FileItem item : items) {
                String name = item.getFieldName();
                logger.info("fieldName:{}", name);
                // 若是一个一般的表单域, 打印信息
                if (item.isFormField()) {
                    String value = item.getString("utf-8");
                    if("session_token".equals(name)){
                        sessionToken = value;
                    }
                }else {
                    if("file".equals(name)){
                        file = item;
                    }
                }
            }
            //session校验
            if(StringUtils.isEmpty(sessionToken)){
                message.setStatus(StatusCodeConstant.SESSION_TOKEN_TIME_OUT);
                message.setErrorMsg(StatusCodeConstant.SESSION_TOKEN_TIME_OUT_MSG);
            }
            String userId = RedisUtils.hget(sessionToken,"userId");
            logger.info("userId:{}", userId);
            if(StringUtils.isEmpty(userId)){
                message.setStatus(StatusCodeConstant.SESSION_TOKEN_TIME_OUT);
                message.setErrorMsg(StatusCodeConstant.SESSION_TOKEN_TIME_OUT_MSG);
            }
            //上传文件
            if(file == null){
            }else{
                swapStream1 = new ByteArrayOutputStream();

                in = file.getInputStream();
                byte[] buff = new byte[1024];
                int rc = 0;
                while ((rc = in.read(buff)) &gt; 0) {
                    swapStream1.write(buff, 0, rc);
                }

                Usr usr = new Usr();
                usr.setObjectId(Integer.parseInt(userId));

                final byte[] bytes = swapStream1.toByteArray();

                eosResponse= ServerProxy.getSharedInstance().saveHeadPortrait(usr, new RequestOperation() {

                    @Override
                    public void addValueToRequest(EOSRequest request) {
                        request.addMedia("head_icon_media", new EOSMediaData(EOSMediaData.MEDIA_TYPE_IMAGE_JPEG, bytes));
                    }
                });

                // 请求成功的场合
                if (eosResponse.getCode() == 0) {
                    message.setStatus(ConstantUnit.SUCCESS);
                } else {
                    message.setStatus(String.valueOf(eosResponse.getCode()));
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally{
            try {
                if(swapStream1 != null){
                    swapStream1.close();
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
            try {
                if(in != null){
                    in.close();
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        PrintWriter out = response.getWriter();
        out.write(JSONObject.toJSONString(message));
    }

    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        doGet(request, response);
    }

}</code></pre>
<p>更多精彩请关注微信公众账号likeDev <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjEwMDcxMDQzMDk1OTc=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 20:41:55</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/file/" title="file">file</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/request/" title="request">request</a>, <a href="https://www.iamivan.net/tag/utf-8/" title="utf-8">utf-8</a>, <a href="https://www.iamivan.net/tag/logger/" title="logger">logger</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>微信小程序上传图片(附后端代码)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyPee4b.html" rel="bookmark">微信小程序 wx&period;uploadFile在安卓手机上面the same task is working问题解决&lowbar;JavaScript</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				微信小程序 wx.uploadFile在安卓手机上面the same task is working问题解决 微信小程序上传图片的时候,如果是多图片上传,一般都是直接用一个循环进行wx.uploadFile 这个在电脑上面测试与苹果手机上面都不会有什么问题 但当用安卓测试的时候,你会发现小程序会提示一个the same task is working wx.uploadFile不能并行,因为wx.uploadFile是一个异步函数,所以循环的时候在安卓手机上会出现并行 解决的方法 做一个上传完的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZlKmz.html" rel="bookmark">使用微信小程序开发前端【快速入门】&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 2016年9月22日凌晨,微信官方通过&quot;微信公开课&quot;公众号发布了关于微信小程序(微信应用号)的内测通知.整个朋友圈瞬间便像炸开了锅似的,各种揣测.介绍性文章在一夜里诞生.而真正收到内测邀请的公众号据说只有200个. 虽然内测名额十分稀少,但依赖中国广大开发者的破解和分享精神,在网络上很快出现了开发工具的破解版本和API文档.然而可能是微信的妥协或者早已预料,9月24日微信官方发布了不需要破解就可以使用的微信小程序开发者工具和文档,对于费劲心思破解完的开发者来说应该瞬间整个人都不好			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9JW8Xp.html" rel="bookmark">微信小程序Server端环境配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				源码地址:https://github.com/Tinywan/PHP_Experience   主要内容:1. SSL免费证书申请步骤2. Nginx HTTPS 配置3. TLS 1.2 升级过程   微信小程序要求使用 https 发送请求,那么Web服务器就要配置成支持 https,需要先申请SSL证书 小程序也要求 TLS(传输层安全协议)的版本至少为 1.2,在配置好 https之后,如果 TLS 的版本较低,就涉及到升级问题 所以 Server端环境配置的主要步骤: 申请 SSL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0q3yp.html" rel="bookmark">微信小程序-图片、录音、音频播放、音乐播放、视频、文件代码实例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文介绍了微信小程序的开发,主要包括图片.录音.音频播放.音乐播放.视频.文件,具体如下: 图片: wx.chooseImage(OBJECT) 从本地相册选择图片或使用相机拍照. OBJECT参数说明: 注:文件的临时路径,在小程序本次启动期间可以正常使用,如需持久保存,需在主动调用 wx.saveFile,在小程序下次启动时才能访问得到. 示例代码: wx.chooseImage({ count: 1, // 默认9 sizeType: ['original', 'compressed'],			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7NAGM.html" rel="bookmark">微信小程序 require机制详解及实例代码&lowbar;JavaScript</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				微信小程序 require机制详解 一, JS模块加载:一次性加载全部JS, 但并不一定立即执行. 先提一提微信小程序架构: 类浏览器 -&gt; HTTP本地服务 -&gt; 云端服务 微信小程序运行的架构,基本上是浏览器 -&gt; HTTP本地服务 -&gt; 云端服务, HTTP本地服务用来读取本地文件或者代理云端的文件资源.读取项目中JS文件, 是由HTTP本地服务取本地存储的脚本文件. 似乎比较简单,一个HTML 引用所有JS文件 既然采用了这种架构,那微信小程序就类似浏览器那样,借助一个HT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M92eR3p.html" rel="bookmark">微信小程序 scroll-view组件实现列表页实例代码&lowbar;JavaScript</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				scroll-view组件介绍 scroll-view是微信小程序提供的可滚动视图组件,其主要作用是可以用来做手机端经常会看到的上拉加载下拉刷新列表页!下面就以&lt;摇出微笑&gt;为例来讲解一下这个组件的使用吧! 为app导入新page页面 首先需要为我们的小程序导入新的page页面,项目根目录打开app.json这个项目配置文件在里面的pages数组添加&quot;pages/allJoke/allJoke&quot;然后设置底部导航在&quot;tabBar&quot;的列表项(&quot;lis			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mry6nWb.html" rel="bookmark">微信小程序 五星评分&lpar;包括半颗星评分&rpar;实例代码&lowbar;JavaScript</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				微信小程序 五星评分 一位同学说要写五星评分.要有半颗星的评分. 于是我做了个玩具.有空了做模块化,这代码看不下去了. 代码: 1.index.wxml &lt;!--index.wxml--&gt; &lt;block wx:for=&quot;{{stars}}&quot;&gt; &lt;image class=&quot;star-image&quot; style=&quot;left: {{item*150}}rpx&quot; src=&quot;{{key &gt; item ?(key-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ94eQb.html" rel="bookmark">微信小程序  滚动选择器&lpar;时间日期&rpar;详解及实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				微信小程序  滚动选择器(时间日期)详解 微信小程序自己封装了很多控件,用起来确实很方便,如果这是Android里面,还需要自己去定义,不废话,效果图: 一起来看看怎么实现的呢?看完你应该就该说,尼玛,这就行啦-. 这个效果呢,要用到picker组件,动画从底部弹起的滚动选择器,现支持三种选择器,通过mode来区分,分别是普通选择器,时间选择器,日期选择器,默认是普通选择器. 看下相应的属性: 具体的来看看代码,布局: &lt;view class=&quot;section&quot; &gt; &lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN2nl7M.html" rel="bookmark">你能用微信小程序打开小程序了【附开发方法】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6月21日晚间,微信小程序再次迎来升级:小程序可以打开小程序了,同一个公众号下关联的10个同主体小程序和3个非同主体小程序之间,可以调用接口直接相互跳转.微信客户端6.5.9及以上版本支持.另外门店小程序的门店页支持添加视频:为了方便宣传门店形象,门店小程序的门店页支持可添加视频.(添加视频方式有两种:1.上传视频至公众号素材库添加.2.输入视频链接或含视频的图文消息链接添加.)门店小程序支持接口管理,提供创建商家,新增.查询.修改和删除门店等接口,同时支持第三方平台授权调用,方便批量管理门店.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo8QEM.html" rel="bookmark" class="title">Oracle&period;数据库较好的重新启动步骤</a>
					<div>
						oracle|数据|数据库 1. 停应用层的各种程序. 2. 停oralce的监听进程: $lsnrctl stop           3. 在独占的系统用户下,备份控制文件: SQL&gt;alt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jVxZb.html" rel="bookmark" class="title">教你怎样配置MySQL数据库双机热备份</a>
					<div>
						1.mysql 数据库没有增量备份的机制,当数据量太大的时候备份是一个很大的问题.还好 mysql 数据库提供了一种主从备份的机制,其实就是把主数据库的所有的数据同时写到备份数据库中.实现 mysql ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PBRDM.html" rel="bookmark" class="title">Word 2010中项目符号和编号的设置</a>
					<div>
						在Word 2010文档中,用户可以通过设置粘贴选项以确定使用&quot;仅保留文本&quot;选项粘贴文本时是否保留项目符号和编号,设置方法如下所述: 第1步,打开Word 2010文档窗口,依次单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balPlwz.html" rel="bookmark" class="title">Excel2010启动时如何自动打开指定工作簿</a>
					<div>
						  1.打开Excel表格,接着点击工具栏的&quot;文件&quot;→Excel选项 2.在Excel选项里点击&quot;高级&quot;菜单,在高级里下拉找到&quot;常规&quot;里的& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZ1N8z.html" rel="bookmark" class="title">360系统急救箱问题反馈</a>
					<div>
						  如果通过急救箱扫描并查杀后仍旧有问题,很可能是系统严重被木马破坏.这时可以选择通过&quot;问题反馈&quot;到急救箱论坛求助,或者选择360电脑专家人工服务.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eJ4yb.html" rel="bookmark" class="title">如何通过禁用Java小程序脚本解决网页内容复制不了等问题</a>
					<div>
						  平常我们会在浏览器中浏览某些网站网页内容,当我们看到精彩文章信息时也会通过复制粘贴的形式来保存,但有用户在复制网页内容时提示&quot;无法复制&quot;的问题,这给我们收集网页内容带来麻烦,其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8xQab.html" rel="bookmark" class="title">JavaScript操作DOM的那些坑</a>
					<div>
						js在操作DOM中存在着许多跨浏览器方面的坑,本文花了我将近一周的时间整理,我将根据实例整理那些大大小小的&quot;坑&quot;. DOM的工作模式是:先加载文档的静态内容.再以动态方式对它们进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArWyKp.html" rel="bookmark" class="title">对象-oc 类的继承的实质&comma;以及是怎样调用方法 和函数的</a>
					<div>
						问题描述 oc 类的继承的实质,以及是怎样调用方法 和函数的 父类里声明的属性,会生成默认生成一个私有的成员变量.即不能被子类访问,那么子类通过继承得到了父类的属性,只能通过setter 和 gett ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PYD3p.html" rel="bookmark" class="title">初探ECMAScript6</a>
					<div>
						基础变化 String类型新增了三个方法,不必使用indexOf来判断一个字符串是否在另一个字符串内  //String changes var a = &quot;Hello world&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkevvb.html" rel="bookmark" class="title">《Unity虚拟现实开发实战》&mdash;&mdash;第1章，第1&period;4节应用与游戏</a>
					<div>
						1.4应用与游戏 消费级的虚拟现实从游戏开始.玩家早就已经习惯于具有高度交互的超现实的3D场景了.VR仅仅是更进了一步. 玩家是高端图像技术的早期体验者.数以百万计的游戏机和基于PC的组件大规模生产以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7qgWp.html" rel="bookmark" class="title">java中的0x00代表什么，写入二进制文件问题</a>
					<div>
						问题描述 java中的0x00代表什么,写入二进制文件问题 写入二进制文件的时候,利用writeUTF,然后就要有一个写入byte为{0x00}的操作,说是什么补位...看不懂,只学过c语言,不知道这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA5qGM.html" rel="bookmark" class="title">服务器-Android 布局错乱线现布局</a>
					<div>
						问题描述 Android 布局错乱线现布局 从服务器获取数据后解析然后显示就这样了 解决方案 是没有做适配的原因吗,还是写布局的时候文本超出了手机屏幕的宽度,应该注意文本放置时的长度 解决方案二: a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV8g3b.html" rel="bookmark" class="title">sqlite-如何在表中统计 of 的行数？</a>
					<div>
						问题描述 如何在表中统计 of 的行数? 我用下面的代码获取行数,但是程序被挂起.怎么回事呢? private int countbaglist() { int count = 0; SQLiteDa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40qoNz.html" rel="bookmark" class="title">android intent-android跳转到第三方应用 如果第三方应用已经启动，但是隐藏被了，如何让它显示出来？</a>
					<div>
						问题描述 android跳转到第三方应用 如果第三方应用已经启动,但是隐藏被了,如何让它显示出来? 我在我自己的应用内跳转到其他应用(如:QQ.UC等),如果目标应用已经启动过,但是隐藏了,跳转就不起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12R39p.html" rel="bookmark" class="title">记录-使用CSDN-markdown编辑器</a>
					<div>
						欢迎使用Markdown编辑器写博客 本Markdown编辑器使用StackEdit修改而来,用它写博客,将会带来全新的体验哦: Markdown和扩展Markdown简洁的语法 代码块高亮 图片链接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgOkvM.html" rel="bookmark" class="title">csharp 在万年历中计算显示农历日子出错</a>
					<div>
						  /// &lt;summary&gt; /// 中国农历日子(不含年月) Substring方法从零计算起 /// 2012-02-21 今天是农历三十,发现万年历出错,改正过来. /// 涂聚文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgKyOM.html" rel="bookmark" class="title">D1net阅闻：微软上线 Bing Business Bot服务</a>
					<div>
						微软上线 Bing Business Bot服务,用户可在Bing搜索栏直接聊天 微软近期推出了一款针对企业用户的聊天机器人服务Bing Business Bot,快速创建后,客户可以在Bing搜索结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JKY3z.html" rel="bookmark" class="title">让自己的照片显示在Google Earth上面！</a>
					<div>
						Google Maps在My Maps中开始集成发布一些有价值的第三方数据,可以在http://www.aliyun.com/zixun/aggregation/12594.html&quot;&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqky6b.html" rel="bookmark" class="title">gridview切换窗口</a>
					<div>
						问题描述 我的窗口是由两个frame组成,左连一个frame显示gridview,右边是一个数据窗口,我想在gridview中每次选定一个不同的更时就要更新右边的数据窗口应该如何实现?是否是在Grid ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLawDM.html" rel="bookmark" class="title">SaaS应用推广的价值：关键在于&OpenCurlyDoubleQuote;开源节流&rdquo;</a>
					<div>
						目前,商品同质化的现象越来越严重,国际贸易增速减缓和金融危机末期的影响等因素让一部分中小型企业感到举步维艰.与此同时,人民币的升值和原材料.生产成本.劳动成本的提高,外加节能减排要求的越来越严格等,层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8QAdp.html" rel="bookmark" class="title">Go语言服务器开发之简易TCP客户端与服务端实现方法&lowbar;Golang</a>
					<div>
						本文实例讲述了Go语言服务器开发之简易TCP客户端与服务端实现方法.分享给大家供大家参考.具体实现方法如下: Go语言具备强大的服务器开发支持,这里示范了最基础的服务器开发:通过TCP协议实现客户端与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0vPOz.html" rel="bookmark" class="title">Android上使用jspf插件框架的方法&lowbar;Android</a>
					<div>
						本文实例讲述了Android上使用jspf插件框架的方法.分享给大家供大家参考.具体如下: jspf (Java Simple Plugin Framework) 是一个插件框架,集成了很多 IoC  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYyOAb.html" rel="bookmark" class="title">google suggest 下拉菜单实现代码&lpar;asp&period;net版本&rpar;&lowbar;实用技巧</a>
					<div>
						1.suggest.js 复制代码保存为suggest.js在你需要的页面引用就行了 复制代码 代码如下: //建立跨浏览器的xmlHttp对象引用 var xmlHttp; var k=-1; tr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn833Kb.html" rel="bookmark" class="title">解决JS中乘法的浮点错误的方法&lowbar;javascript技巧</a>
					<div>
						JS里做小数的乘法运算时会出现浮点错误,具体可以测试一下:  &lt;script&gt; alert(11*22.9) &lt;/script&gt; 结果是251.89999999999998 而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLAZvM.html" rel="bookmark" class="title">钉钉怎么设置群组全员禁言？钉钉设置群组全员禁言教程</a>
					<div>
						1.点开钉钉APP,首先进入&quot;联系人&quot;界面中的[我的群组],随后选择自己所创的相关活跃群组.(如下图) 2.接着点击会话界面中右上角处的图标,然后下拉界面进入[设置群内禁言].(如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmelNp.html" rel="bookmark" class="title">Help！字符串匹配的问题！详见内容</a>
					<div>
						问题描述 哪位大侠知道:有没有一个算法能这样匹配(输入1234567匹配123456*或12*45**等等)就是正常匹配的反匹配(正常的是*匹配固定的,现在固定的匹配带*)用VBScript! 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlALrRp.html" rel="bookmark" class="title">在质疑中加快商业化进程的新浪微博</a>
					<div>
						对于当下的互联网行业,新浪微博无疑是国内最火爆的信息发布和交流平台. 连续上线微任务.信息流广告平台.在微博内容中推送广告信息,新浪微博在商业化广告上的步伐逐渐加快.在盈利模式尚未清晰.空有流量无法有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YeNmp.html" rel="bookmark" class="title">android关于R&period;drawatle&period;photo</a>
					<div>
						问题描述 我想在android程序中设置一个TextView的背景图片,但是我只能得到图片的名字,我想用的方法是tv.setBackgroundResource(R.drawable.photo);这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YVNjb.html" rel="bookmark" class="title">mysql 查询筛选重复数据sql语句</a>
					<div>
						查询重复数据数量  代码如下 复制代码 select device_id from device group by device_id having count(device_id) &gt; 1;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXlqWz.html" rel="bookmark" class="title">LanguageTool 1&period;7发布 字体和语法检查工具</a>
					<div>
						LanguageTool 是一款开源的字体和语法检查工具,也作为一个错误检测软件使用,如:语法错误检查,但不包括拼写检查.目前的版本支持英语,波兰语,德语,法语,荷兰语和其他语言.它通过扫描文字来发现 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
